WordPress 5.5 problem

New home Forums Basic Version Troubleshooting WordPress 5.5 problem

Viewing 9 posts - 1 through 9 (of 9 total)
  • Author
    Posts
  • #60614
    patrickdonnelly
    Member

    Edit map is not working when I upgrade to wordpress 5.5
    The problem is in the backend only. The map is not displayed on screen, and existing markers are not displayed under “Your Markers”. It is not possible to enter a new marker. The front end display and functions are working OK.
    If I roll back to wordpress 5.4.2 I don’t have the problem. I have just upgraded to wp google maps 8.0.26 and tried again with wordpress 5.5 and the problem is still there.
    I have tried deleting and reinstalling wp google maps as suggested elsewhere on this forum but the problem persists.
    For now I am OK working on wordpress 5.4.2 but will need to upgrade at some point. Please help.

    Attachments:
    You must be logged in to view attached files.
    #60622

    Hi there,

    Thanks so much for getting in touch and for your feedback.

    I believe this might be due to a JavaScript error occurring on this page and to determine if that is the case and to find a solution to this, could I kindly ask if you could send me a screenshot of your console on the map editor page?
    The console can be opened by right-clicking on the page and clicking Inspect Element and then clicking on the Console tab.
    This will be a major help in determining the cause of the issue and finding a solution as soon as possible

    Thanks for your time and I look forward to hearing back from you.

    Best regards,
    Dylan

    #60633
    alawrence
    Participant

    I have the same problem, except that the front end didn’t display either. There was just a white box there.

    I had to downgrade wordpress to make the map reappear. This is the error that my javascript console had:

    Uncaught ReferenceError: WPGMZA is not defined
    at core.js?ver=7.11.69p:214
    at dispatch (jquery.js?ver=1.12.4-wp:3)
    at r.handle (jquery.js?ver=1.12.4-wp:3)

    • This reply was modified 5 months ago by alawrence.
    #60636
    patrickdonnelly
    Member

    Screenshot attached – console from map editor page, as requested

    Attachments:
    You must be logged in to view attached files.
    #60641

    Hi alawrence and patrickdonnellyAug,

    alawrence:
    Thanks so much for getting in touch and sorry for the inconvenience.

    We have noticed an issue where the basic version of the plugin has some corrupted files (missing content) after updating to WP 5.5. To fix this, could I kindly ask you to please reinstall the basic version and please let me know if that helps? Thank you.

    patrickdonnelly:
    Thank you so much for the screenshot and letting me know. In order to debug this issue and find a solution ASAP, could I please ask if it would be possible to create a ticket here: https://www.wpgmaps.com/contact-us/ – and if it would be possible to create a temporary account for me on your site? This will help a lot in allowing me to debug the root of the issue and finding a solution as soon as possible.

    Thanks again for both of your time, I really appreciate it. I look forward to assisting further to get this resolved.

    Best regards,
    Dylan

    #60643
    alawrence
    Participant

    I reinstalled the basic version and the pro add-on. No change.

    #60650

    Hi alawrence,

    Thanks so much for the response and confirmation.

    If that is the case, then I believe this might be due to the following issue.
    With WP 5.5, WordPress has removed jQuery Migrate support, meaning that plugins using older deprecated JavaScript functions will cause some JavaScript errors.
    WordPress has, however, created a plugin to re-enable jQuery Migrate and this can be downloaded from below:
    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Could I kindly ask if you could install and activate this helper plugin from WordPress and please let me know if that works as expected?

    Thanks again for your time and I look forward to hearing back from you.

    Kindest regards,
    Dylan

    #60678
    alawrence
    Participant

    Dylan,

    That worked. Will this be fixed without the need to have the plugin?

    #60688

    Hi there,

    Thanks for letting me know and that is great to hear.

    We have not yet been able to replicate this issue with just WP Google Maps installed on WP 5.5, so I believe it might have been due to a conflict with another plugin, but we will continue to debug and find a solution as soon as possible.

    Thanks so much for your time and please let me know if there is anything else I can assist you with.

    Best regards,
    Dylan

Viewing 9 posts - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.